Subject: [Speermint] Closing Issue SIP Interoperablity (Section 4.3: draft-khan-ip-serv-arch-02)

From: "Khan, Sohel Q [CTO]" <[email-masked]>
Date: Fri, 26 May 2006 13:48:40 -0500

Thank you for all suggestions and comments on the SIP Interoperability
(Section 4.3: draft-khan-ip-serv-arch-02) paragraph in Speermint Peering
Architecture draft. Based on the discussion, I would propose to close
the issue by replacing the current paragraph,
"SIP Interoperability:TBD" with the following paragraph.

"SIP Interoperability: SPEERMINT Signaling Function (SF) in general
should support all SIP RFCs identified in the SIP hitchhiker's guide.
The SF must minimally support RFC 3261, 3263, 3325, and 3326. 

A SPEERMINT SIP Profile document would recommend a rationale set of SIP
profiles to perform smooth interoperability. The document will also
contain information on the population of the header fields, particularly
in context with phone numbers (e.164 and non-E.164).

A SPEERMINT SIP Flow Document would recommend call flows and
establishment of two-way TLS connections."

Please do not criticize! Instead, suggest another paragraph or a better
version of this paragraph.

Sohel Khan, Ph.D.
Technology Strategist
Sprint-Nextel
913-794-1470 (office)
913-486-3145 (cell)

_______________________________________________
Speermint mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speermint

---

From: "James McEachern" <[email-masked]>
Date: Fri, 26 May 2006 15:49:22 -0400

Sohel,
I believe the minimum list should be RFC 3261, 3323, and 3325 (perhaps also 3263?).

Jim

-----Original Message-----
From: Khan, Sohel Q [CTO] [mailto:[email-masked]] 
Sent: Friday, May 26, 2006 2:49 PM
To: Francois D. Menard; Brian Rosen; McEachern, James [CAR:5N00:EXCH]; Stastny Richard; [email-masked]; Michael Hammer (mhammer); David Meyer
Subject: Closing Issue SIP Interoperablity (Section 4.3: draft-khan-ip-serv-arch-02)

Sohel Khan, Ph.D.
Technology Strategist
Sprint-Nextel
913-794-1470 (office)
913-486-3145 (cell)

---

From: "Brian Rosen" <[email-masked]>
Date: Fri, 26 May 2006 16:01:47 -0400

Why do you think you can get away with ignoring such things as, say
"UPDATE"?  Do you really think we can say "implementations should not assume
UPDATE will work across the peering point"?

I think closing off this issue will require an extended discussion.

Brian

-----Original Message-----
From: Khan, Sohel Q [CTO] [mailto:[email-masked]] 
Sent: Friday, May 26, 2006 2:49 PM
To: Francois D. Menard; Brian Rosen; James McEachern; Stastny Richard;
[email-masked]; Michael Hammer (mhammer); David Meyer
Subject: Closing Issue SIP Interoperablity (Section 4.3:
draft-khan-ip-serv-arch-02)

Sohel Khan, Ph.D.
Technology Strategist
Sprint-Nextel
913-794-1470 (office)
913-486-3145 (cell)

---

From: "Francois D. Menard" <[email-masked]>
Date: Fri, 26 May 2006 21:36:48 -0400

Sorry for introducing confusion.
So it shall read:
 
SIP Interoperability: SPEERMINT Signaling Function (SF) in general should
support all SIP RFCs identified in the SIP hitchhiker's guide.
The SF must minimally support RFC 3261, 3323, 3325, and lastly, 3263, should
peering occur across the Public Internet. 

I just do not see a mandatory requirement for the SF to support 3263 whereas
peering is not across the big I, say on a private IP network. I believe the
scenario we are excluding is transitive betwene private IP and Public
Internet.

F.

--
François D. Ménard
Chargé de projet
Xit télécom inc.
1350 rue Royale #800
Trois-Rivières, QC, G9A 4J4
Canada
[email-masked]
Tel: (819) 374-2556 ext. 268
Fax: (819) 374-0395
Cell: (819) 692-1383

-----Original Message-----
From: James McEachern [mailto:[email-masked]] 
Sent: 26 mai 2006 15:49
To: Khan, Sohel Q [CTO]; Francois D. Menard; [email-masked]
Subject: RE: Closing Issue SIP Interoperablity (Section 4.3:

Sohel,
I believe the minimum list should be RFC 3261, 3323, and 3325 (perhaps also
3263?).

Jim

-----Original Message-----
From: Khan, Sohel Q [CTO] [mailto:[email-masked]]
Sent: Friday, May 26, 2006 2:49 PM
To: Francois D. Menard; Brian Rosen; McEachern, James [CAR:5N00:EXCH];
Stastny Richard; [email-masked]; Michael Hammer (mhammer); David Meyer
Subject: Closing Issue SIP Interoperablity (Section 4.3:
draft-khan-ip-serv-arch-02)

Thank you for all suggestions and comments on the SIP Interoperability
(Section 4.3: draft-khan-ip-serv-arch-02) paragraph in Speermint Peering
Architecture draft. Based on the discussion, I would propose to close the
issue by replacing the current paragraph, "SIP Interoperability:TBD" with
the following paragraph.

"SIP Interoperability: SPEERMINT Signaling Function (SF) in general should
support all SIP RFCs identified in the SIP hitchhiker's guide.
The SF must minimally support RFC 3261, 3263, 3325, and 3326. 

A SPEERMINT SIP Profile document would recommend a rationale set of SIP
profiles to perform smooth interoperability. The document will also contain
information on the population of the header fields, particularly in context
with phone numbers (e.164 and non-E.164).

A SPEERMINT SIP Flow Document would recommend call flows and establishment
of two-way TLS connections."

Sohel Khan, Ph.D.
Technology Strategist
Sprint-Nextel
913-794-1470 (office)
913-486-3145 (cell)